﻿function euCookieComplianceLoadScripts() {}div#sliding-popup, div#sliding-popup .eu-cookie-withdraw-banner, .eu-cookie-withdraw-tab {background: #0779BF} div#sliding-popup.eu-cookie-withdraw-wrapper { background: transparent; } #sliding-popup h1, #sliding-popup h2, #sliding-popup h3, #sliding-popup p, .eu-cookie-compliance-more-button, .eu-cookie-compliance-secondary-button, .eu-cookie-withdraw-tab { color: #ffffff;} .eu-cookie-withdraw-tab { border-color: #ffffff;}Sugar Beach, A Sun Resort, Mauritius - A 5* Hotel in Mauritius
var tarteaucitronForceLanguage = 'en';

tarteaucitron.init({
"hashtag": "#tarteaucitron",
"highPrivacy": false,
"orientation": "top",
"adblocker": false,
"showAlertSmall": true,
"cookieslist": true,
"removeCredit": true
});
tarteaucitron.user.googletagmanagerId = '';
(tarteaucitron.job = tarteaucitron.job || []).push('googletagmanager');
 (function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-P73V5VX'); Skip to main content      Sugar Beach - A Sun Resort - Mauritius   Menu   Offers Accommodation Rooms & Suites Beach-Front Villa Family Suite Garden Manor House Sea-Facing Villa Sea-View Family Suite Sea-View Manor House Sugar Beach Suite Restaurants & Bars Restaurants Buddha Bar Beach Citronella’s Café Mon Plaisir Bars Buddha Bar Beach Citronella’s Bar La Brasserie Sports Bar Experiences Timeless MemoriesOur uniquely diverse resorts all share a set of signature experiences, designed to be best in class Read More Experience Cinq Mondes Spa Sun Golf Sun Kids Music Studio VIEW ALL ACTIVITIES Gallery News Events My bookings SUN Resorts   SearchSearch Enter the terms you wish to search for.  EN  ENFRDE   Book now Choose your hotelChoose your hotelAmbre MauritiusKanuhura MaldivesLa Pirogue MauritiusLong Beach MauritiusSugar Beach Mauritius Check in  Check out  AdultsAdults1 Adult2 Adults3 Adults4 Adults5 Adults  Children  Promo code Check AvailabilityBook now Select your Check in & Check out date Children012345 Child 1 age01234567891011121314151617 Child 2 age01234567891011121314151617 Child 3 age01234567891011121314151617 Child 4 age01234567891011121314151617 Child 5 age01234567891011121314151617 Check Availability  XX       Sugar Beach      Sugar Beach      Sugar Beach      Superior Room Sugar     Contact usSugar Beach ConciergeWolmar, Flic en Flac, MauritiusTel: +230 403 3300Email: [email protected] Sugar Beach ReservationsTel: +230 402 0151Email: [email protected]mu Send us a messageFor all your request, fill in the form below.My Details Last name*  First name*  Phone number*  Email* My Request Subject*  Message* I am 16 or older and I confirm that I have read and agreed to the website terms and conditions and privacy policy.Submit     Newsletter Sun in your inbox TitleDr.FamilyMissMr.Mr. & Mrs.Mrs.    I confirm that I have read and agreed to the website terms and conditions.SIGN UP The email address has been registered to the newsletter The email address has already been registered to the newsletter To unsubscribe from our newsletter, please contact us.   Call us +230 4033300+230 4033300   The day is madeImposing and impressive, the elegant five-star Sugar Beach unfurls along the sun-drenched, sheltered bay of Flic-en-Flac, bordered by crystalline waters, manicured gardens and one of the most picturesque beaches on the island. This plantation-style resort masterfully balances old-world opulence with modern comforts and offers panoramic views of the sunset over the ocean. A testament to the aesthetics of colonial estates in a bygone era, Sugar Beach Mauritius today provides a luxurious sanctuary for families and couples seeking the ultimate holiday in paradise.Read more  Sun Memory Lab   Sun Memory Lab  Sun Golf   Sun Golf   Timeless Memories At Sugar Beach, we don’t want you to have a normal, average holiday. We want you to be swept away on an exceptional adventure, punctuated by sensational moments that stay with you forever. With our famed Mauritian hospitality and our desire to go above and beyond, we set the scene for your memorable journey and cherished timeless memories.Sunrise and Sunset  Sunrise and Sunset  Sun Mixology  Sun Mixology  Sun Kids  Sun Kids  Sun Luxury Moments  Sun Luxury Moments  Sun Beach  Sun Beach    AccommodationSugar Beach Suite“Beach Perfection” - Elegant premium ground floor suites with direct beach access and spectacular sea views, complete with a… View roomsGarden Manor HouseGround floor or first floor rooms, with twin, queen size or king size beds, located in the iconic plantation style “Manor View roomsSea-View Manor HouseThese ground, first or second floor rooms are located in the iconic plantation-style “Manor House” and offer stunning ocean… View roomsSea-Facing VillaThese separate, luxurious rooms in the Creole-style “Villa Houses” are nestled in the lush tropical gardens and offer… View roomsBeach-Front VillaThese separate, luxurious rooms in the Creole-style “Villa Houses” have direct beach access, spectacular sea views and offer… View rooms  ActActivities We at Sugar Beach endeavour to provide more than a little something for everyone. Whether you want to spend your days engaging in our water sports, reclining on our sunbeds, enjoying a group fitness class or frequenting our tennis courts—we have everything, and more, that you could want for your dream holiday in our exclusive slice of paradise.Wellbeing     WellbeingWater sports and Diving     Water sports and DivingIle aux Cerfs     Ile aux CerfsFitness     FitnessEscapes and Excursions     Escapes and Excursions  Sun Resorts Trust you block Overall guest ratings4.4Excellent         2,222 reviews
if (typeof ty === "undefined") {
var ty = {
chainOnLoad: function(onLoadHandler) {
window.onload = (function(oldOnLoad) {
oldOnLoad && oldOnLoad();
onLoadHandler();
})(window.onload);
},
loadStyleSheet: function(url) {
if (document.createStyleSheet) {
document.createStyleSheet(url);
} else {
if (document.getElementsByTagName("head")[0]) {
var linkEl = document.createElement("link");
linkEl.rel = "stylesheet";
linkEl.href = encodeURI(url);
document.getElementsByTagName("head")[0].appendChild(linkEl);
} else {
document.write('<link rel="stylesheet" href="' + encodeURI(url) + '"/>');
}
}
}
};
}
if (ty.trustScoreLoaded == undefined) {
ty.chainOnLoad(function() {
ty.loadStyleSheet("//cdn.trustyou.com/apps/widgets/public/v6.3-3-g21ffa03/3rdparty/cleanslate/cleanslate.css");
ty.loadStyleSheet("//cdn.trustyou.com/apps/widgets/public/v6.3-3-g21ffa03/css/embedded/seal.css");
ty.loadStyleSheet("//fonts.googleapis.com/css?family=Roboto:400,300,500,700");
ty.loadStyleSheet("//cdn.trustyou.com/apps/trustyou-iconic/public/css/trustyou-iconic.min.latest.css");
});
ty.trustScoreLoaded = true;
}
 iFrameResize({});  Special Offers All offers     Sugar Beach Stay Longer for Less at Sugar Beach MauritiusLong Stay Special Offer Discover All offers     Sugar Beach Celebrate your new chapter at Sugar Beach MauritiusHoneymoon and Anniversary Offer Discover All offers     Sugar Beach Stay Longer for Less at Sugar Beach MauritiusLong Stay Special Offer Discover All offers     Sugar Beach Celebrate your new chapter at Sugar Beach MauritiusHoneymoon and Anniversary Offer Discover All offers     Sugar Beach Stay Longer for Less at Sugar Beach MauritiusLong Stay Special Offer Discover All offers     Sugar Beach Celebrate your new chapter at Sugar Beach MauritiusHoneymoon and Anniversary Offer Discover All offers NewsroomSugar Beach Amateurs OpenThis fantastic competition, which will take place between the 10 May and 13 May 2019 on the gorgeous Tamarina Golf Club and… Read More All newsCasinos in Mauritius Mauritius is known for its undeniable island appeal, eclectic culture Read More All newsHoli in MauritiusOne of the best ways to experience the multi-cultural, multi-ethnic country of Mauritius is to embrace one of their magical… Read More All newsEaster in MauritiusMauritius boasts a fairly large Christian community (it’s the second most popular religion in Mauritius after Hinduism),… Read More All newsThaipoosam Cavadee in MauritiusOne of the most popular and spectacular Tamil festivals is Thaipoosam Cavadee in Mauritius, held in every Hindu temple… Read More All news  Hotel BenefitsFree WifiBeach AccessKids ClubFree Water SportsPreferred Access to Ile aux CerfsPreferred Access to Tamarina Golf Course   Facebook Sugar Beach, A Sun Resort, Mauritius ON Facebook Share your best moments @Sugar Beach, A Sun Resort, Mauritius on Facebook        One of these sunbeds has your name on it. Are you coming?
#SunBeach #SugarBeachMauritius #TimelessMemories
📸: @thephilograph on Instagram Fb        Our bar and restaurant Buddha-Bar Beach has front-row seats to the most spectacular sunset views. Join us for an unforgettable experience.
Book now on [email protected] #BuddhaBar... Fb        Play and Stay: Enjoy our Special Gossip UltraBeach deal to make it a weekend to remember!
Click below to view our special rates for this weekend! Fb        As every Friday and Saturday, the People of the Sun will ease you into the weekend with some good live music inspired by the spectacular sunset.
This weekend's lineup:
Friday 22nd March Emmanuel Des... Fb   Sugar beach Long beach La pirogue Ambre Kanuhura  About us Our offices Tailormade Bookings Terms & Conditions Sitemap Contact Us Awards Cookie Policy Fact Sheet Groups / MICE   {"path":{"baseUrl":"\/","scriptPath":null,"pathPrefix":"en\/","currentPath":"home","currentPathIsAdmin":false,"isFront":true,"currentLanguage":"en"},"pluralDelimiter":"\u0003","jquery":{"ui":{"datepicker":{"isRTL":false,"firstDay":0}}},"responsive_menu":{"position":"left","theme":"theme-dark","pagedim":"pagedim","breakpoint":"(min-width: 960px)","extension_keyboard":true,"superfish":{"active":false,"delay":300,"speed":100,"speedOut":100},"mediaQuery":"(min-width: 960px)"},"eu_cookie_compliance":{"popup_enabled":true,"popup_agreed_enabled":false,"popup_hide_agreed":false,"popup_clicking_confirmation":false,"popup_scrolling_confirmation":false,"popup_html_info":"\u003Cdiv class=\u0022eu-cookie-compliance-banner eu-cookie-compliance-banner-info\u0022\u003E\n  \u003Cdiv class =\u0022popup-content info eu-cookie-compliance-content\u0022\u003E\n    \u003Cdiv id=\u0022popup-text\u0022 class=\u0022eu-cookie-compliance-message\u0022\u003E\n        \u003Cp\u003EThis website uses cookies for analytics, personalisation and advertising. Click \u003Ca href=\u0022https:\/\/www.sugarbeachresort.com\/en\/terms-and-conditions\u0022 target=\u0022_BLANK\u0022\u003Ehere\u003C\/a\u003E to learn more or to change your cookie settings. Click \u201cAccept\u201d if you agree to our use of cookies. You can change your cookie settings anytime by accessing our Cookie Policy page by clicking on the link in the website\u2019s footer.        \u003C\/p\u003E\n    \u003C\/div\u003E\n    \u003Cdiv id=\u0022popup-buttons\u0022 class=\u0022eu-cookie-compliance-buttons\u0022\u003E\n      \u003Cbutton type=\u0022button\u0022 class=\u0022agree-button eu-cookie-compliance-agree-button\u0022\u003EAccept\u003C\/button\u003E\n\n      \u003Cspan class=\u0022btn\u0022\u003E\n          \u003Ca class=\u0022cookie-popup\u0022 href=\u0022javascript:tarteaucitron.userInterface.openPanel();\u0022\u003E\n          Personalize          \u003C\/a\u003E\n      \u003C\/span\u003E\n      \n    \u003C\/div\u003E\n  \u003C\/div\u003E\n\u003C\/div\u003E","use_mobile_message":false,"mobile_popup_html_info":"\u003Cdiv class=\u0022eu-cookie-compliance-banner eu-cookie-compliance-banner-info\u0022\u003E\n  \u003Cdiv class =\u0022popup-content info eu-cookie-compliance-content\u0022\u003E\n    \u003Cdiv id=\u0022popup-text\u0022 class=\u0022eu-cookie-compliance-message\u0022\u003E\n        \u003Cp\u003EThis website uses cookies for analytics, personalisation and advertising. Click \u003Ca href=\u0022https:\/\/www.sugarbeachresort.com\/en\/terms-and-conditions\u0022 target=\u0022_BLANK\u0022\u003Ehere\u003C\/a\u003E to learn more or to change your cookie settings. Click \u201cAccept\u201d if you agree to our use of cookies. You can change your cookie settings anytime by accessing our Cookie Policy page by clicking on the link in the website\u2019s footer.        \u003C\/p\u003E\n    \u003C\/div\u003E\n    \u003Cdiv id=\u0022popup-buttons\u0022 class=\u0022eu-cookie-compliance-buttons\u0022\u003E\n      \u003Cbutton type=\u0022button\u0022 class=\u0022agree-button eu-cookie-compliance-agree-button\u0022\u003EAccept\u003C\/button\u003E\n\n      \u003Cspan class=\u0022btn\u0022\u003E\n          \u003Ca class=\u0022cookie-popup\u0022 href=\u0022javascript:tarteaucitron.userInterface.openPanel();\u0022\u003E\n          Personalize          \u003C\/a\u003E\n      \u003C\/span\u003E\n      \n    \u003C\/div\u003E\n  \u003C\/div\u003E\n\u003C\/div\u003E","mobile_breakpoint":768,"popup_html_agreed":false,"popup_use_bare_css":false,"popup_height":"auto","popup_width":"100%","popup_delay":1000,"popup_link":"\/en\/legal-information","popup_link_new_window":true,"popup_position":false,"popup_language":"en","store_consent":false,"better_support_for_screen_readers":false,"cookie_name":"","reload_page":false,"domain":"","popup_eu_only_js":false,"cookie_lifetime":100,"cookie_session":null,"disagree_do_not_show_popup":false,"method":"default","whitelisted_cookies":"","withdraw_markup":"\u003Cbutton type=\u0022button\u0022 class=\u0022eu-cookie-withdraw-tab\u0022\u003EPrivacy settings\u003C\/button\u003E\n\u003Cdiv class=\u0022eu-cookie-withdraw-banner\u0022\u003E\n  \u003Cdiv class=\u0022popup-content info eu-cookie-compliance-content\u0022\u003E\n    \u003Cdiv id=\u0022popup-text\u0022 class=\u0022eu-cookie-compliance-message\u0022\u003E\n      \u003Ch2\u003EWe use cookies on this site to enhance your user experience\u003C\/h2\u003E\u003Cp\u003EYou have given your consent for us to set cookies.\u003C\/p\u003E\n    \u003C\/div\u003E\n    \u003Cdiv id=\u0022popup-buttons\u0022 class=\u0022eu-cookie-compliance-buttons\u0022\u003E\n      \u003Cbutton type=\u0022button\u0022 class=\u0022eu-cookie-withdraw-button\u0022\u003EWithdraw consent\u003C\/button\u003E\n    \u003C\/div\u003E\n  \u003C\/div\u003E\n\u003C\/div\u003E","withdraw_enabled":false},"bootstrap":{"forms_has_error_value_toggle":1,"modal_animation":1,"modal_backdrop":"true","modal_keyboard":1,"modal_show":1,"modal_size":""},"ajaxTrustedUrl":{"\/en\/search\/node":true,"form_action_p_pvdeGsVG5zNF_XLGPTvYSKCf43t8qZYSwcfZl2uzM":true},"newsletter_success":"\/en\/newsletter\/subscription-success","user":{"uid":0,"permissionsHash":"e1441e6bf01d0a7aa7eb2770c065af70bc98729f96602522ba0a482e5d60f9d0"}}